Debian Bug report logs - #401634
RM: python-iconvcodec -- RoM; python 2.3 only

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Javier Serrano Polo <jasp00@terra.es>

Date: Mon, 4 Dec 2006 23:33:12 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Changwoo Ryu <cwryu@debian.org>:
Bug#401634; Package python-iconvcodec. Full text and rfc822 format available.

Acknowledgement sent to Javier Serrano Polo <jasp00@terra.es>:
New Bug report received and forwarded. Copy sent to Changwoo Ryu <cwryu@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Serrano Polo <jasp00@terra.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-iconvcodec: depends on python 2.3
Date: Tue, 05 Dec 2006 00:16:36 +0100
Package: python-iconvcodec
Version: 1.1.2-3+b1
Severity: important

>From dpkg output:

Setting up python-iconvcodec (1.1.2-3+b1) ...
pycentral: pycentral pkginstall: python-iconvcodec needs unavailable 
runtime (2.3)
pycentral pkginstall: python-iconvcodec needs unavailable runtime (2.3)
dpkg: error processing python-iconvcodec (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 python-iconvcodec

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)

Versions of packages python-iconvcodec depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  python                       2.4.4-1     An interactive high-level object-o
ii  python-central               0.5.12      register and build utility for Pyt

python-iconvcodec recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Changwoo Ryu <cwryu@debian.org>:
Bug#401634; Package python-iconvcodec. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lönngren <bice77@malmo2.net>:
Extra info received and forwarded to list. Copy sent to Changwoo Ryu <cwryu@debian.org>. Full text and rfc822 format available.

Message #10 received at 401634@bugs.debian.org (full text, mbox):

From: Vincent Lönngren <bice77@malmo2.net>
To: Debian Bug Tracking System <401634@bugs.debian.org>
Subject: python-iconvcodec: Same here
Date: Tue, 05 Dec 2006 11:42:25 +0100
Package: python-iconvcodec
Version: 1.1.2-3+b1
Followup-For: Bug #401634

The same thing happens to me.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)

Versions of packages python-iconvcodec depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  python                       2.4.4-1     An interactive high-level object-o
ii  python-central               0.5.12      register and build utility for Pyt

python-iconvcodec recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#401634; Package python-iconvcodec. Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 401634@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: Javier Serrano Polo <jasp00@terra.es>, 401634@bugs.debian.org
Subject: Re: Bug#401634: caused by binary-only upload, duplicated.
Date: Tue, 05 Dec 2006 22:08:16 +0900
[Message part 1 (text/plain, inline)]
merge 398899 401634
thanks


-- 
Changwoo Ryu <cwryu@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#401634; Package python-iconvcodec. Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 401634@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: control@bugs.debian.org
Cc: 398039@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>, 398899@bugs.debian.org, 401634@bugs.debian.org
Subject: Re: Bug#398899: Bug#399986: Bug#398899: reopen, still fails
Date: Thu, 07 Dec 2006 23:04:52 +0900
retitle 398899 RM: python-iconvcodec - RoM: python 2.3 only
retitle 401634 RM: python-iconvcodec - RoM: python 2.3 only
severity 401634 serious
reassign 401634 ftp.debian.org
merge 398899 401634
retitle 398039 RM: python-cjkcodecs - RoM: python 2.3 only
reassign 398039 ftp.debian.org
merge 398039 401675
thanks

2006-12-07 (목), 10:53 +0100, Raphael Hertzog 쓰시길:
> Hello Changwoo,
> 
> On Tue, 05 Dec 2006, Changwoo Ryu wrote:
> > Well, the problem is still on python-central, exactly dh_pycentral which
> > has been used during package build.  Before these stupid binary-only
> > uploads, the packages had the correct Depends, "python (>= 2.3), python
> > (<< 2.4)".  But the new rebuilt revisions have just "python (>= 2.3)".
> 
> The binary NMU are not stupid... but your packaging is no more compliant
> with the latest python policy.
> 
> python2.3 won't be shipped in etch and is removed from sid already (or is
> going to be removed soon). The old dependency "python (>= 2.3), python > (<< 2.4)"
> can't be met in etch/sid. 
> 
> So dh_pycentral is not going to generate a dependency which results in an
> uninstallable package.

> Please either change the package to work with python 2.4 (and any other new
> upstream version) or remove the package completely. And the same applies to
> python-cjkcodecs (#398039).
> 
> Please take a decision and we could provide you some more help. We're
> speaking of RC bugs here, please act promptly.

I see.  python-cjkcodecs has mreged to python 2.4.  (And
python-iconvcodec does almost same thing with cjkcodecs.)   So just
removing is the right decision.


-- 
Changwoo Ryu <cwryu@debian.org>




Changed Bug title. Request was from Changwoo Ryu <cwryu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Changwoo Ryu <cwryu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `python-iconvcodec' to `ftp.debian.org'. Request was from Changwoo Ryu <cwryu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 398899 401634. Request was from Changwoo Ryu <cwryu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #398899 from all other report(s). Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Serrano Polo <jasp00@terra.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 401634-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 401634-close@bugs.debian.org
Cc: python-iconvcodec@packages.debian.org, python-iconvcodec@packages.qa.debian.org
Subject: Bug#401634: fixed
Date: Tue, 09 Jan 2007 10:00:06 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

python-iconvcodec |    1.1.2-3 | source
python-iconvcodec | 1.1.2-3+b1 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 401634@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 00:19:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:23:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.